---
require:
  - rubocop-gitlab-security
  - rubocop-performance
  - rubocop-rspec
  - rubocop-rails
  - ./lib/gitlab/styles/rubocop

inherit_from:
  - rubocop-all.yml
  - rubocop-bundler.yml
  - rubocop-gemspec.yml
  - rubocop-layout.yml
  - rubocop-lint.yml
  - rubocop-metrics.yml
  - rubocop-migrations.yml
  - rubocop-naming.yml
  - rubocop-performance.yml
  - rubocop-rails.yml
  - rubocop-rspec.yml
  - rubocop-security.yml
  - rubocop-style.yml

InternalAffairs/DeprecateCopHelper:
  Enabled: false
